%global modname virtualenvwrapper

Name:             python-virtualenvwrapper
Version:          4.0
Release:          1%{?dist}
Summary:          Enhancements to virtualenv

Group:            Development/Languages
License:          MIT
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/v/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:      python-devel
BuildRequires:      python-setuptools
BuildRequires:      python-virtualenv
BuildRequires:      python-virtualenv-clone
BuildRequires:      python-stevedore

## Just for tests
#BuildRequires:      python-tox
#BuildRequires:      ksh
#BuildRequires:      zsh

Requires:           python-virtualenv
Requires:           python-virtualenv-clone
Requires:           python-stevedore

%description
virtualenvwrapper is a set of extensions to Ian Bicking's `virtualenv
<http://pypi.python.org/pypi/virtualenv>`_ tool.  The extensions include
wrappers for creating and deleting virtual environments and otherwise
managing your development workflow, making it easier to work on more than
one project at a time without introducing conflicts in their dependencies.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#%%check
# Tests won't fly in koji since they try to install stuff from pypi
#tox -e py27

%files
%doc PKG-INFO docs
%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}*
%{_bindir}/virtualenvwrapper.sh
%{_bindir}/virtualenvwrapper_lazy.sh

%changelog
* Mon Apr 29 2013 Ralph Bean <rbean@redhat.com> - 4.0-1
- Latest upstream including the following:
- The python modules for extensions are now always run with
  PWD=$WORKON_HOME (previously the value of PWD varied depending
  on the hook). The shell portion of any hook (anything sourced
  by the user’s shell when the hook is run) is still run in the
  same place as before.
- Fix the name of the script in an error message produced by
  virtualenvwrapper_lazy.sh.

* Mon Apr 08 2013 Ralph Bean <rbean@redhat.com> - 3.7.1-1
- Latest upstream including the following bugfix changes.
- Rename functions for generating help so they do not pollute the global
  namespace, and especially so they do not interfere with tab completion.
  Contributed by davidszotten.
- Fix an issue with listing project templates if none are installed.
  (issue 179)
- Fix an issue with the --python option to mkvirtualenv becoming sticky
  for future calls that do not explicitly specify the option. (issue 178)

* Wed Mar 20 2013 Ralph Bean <rbean@redhat.com> - 3.7-1
- Latest upstream.
- Improve tab-completion support for users of the lazy-loading mode.
- Add --help option to mkproject.
- Add --help option to workon.
- Turn off logging from the hook loader by default.
- Use flake8 for style checking.

* Fri Mar 08 2013 Ralph Bean <rbean@redhat.com> - 3.6.1-1
- Latest upstream

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 3.6-1
- Latest upstream

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Ralph Bean <rbean@redhat.com> 3.5-2
- Added new dependency on python-virtualenv-clone

* Mon Jul 09 2012 Ralph Bean <rbean@redhat.com> 3.5-1
- Latest upstream version.

* Fri May 25 2012 Ralph Bean <rbean@redhat.com> 3.4-1
- New upstream release with security fix and new features.
- Packaging new file virtualenvwrapper_lazy.sh
- More explicit directory ownership in python_sitelib.
- Removed old patches due to upstream bugfixes.
- Using modname macro in Source url.

* Mon May 07 2012 Ralph Bean <rbean@redhat.com> 3.2-4
- Fixed a typo in the changelog

* Mon May 07 2012 Ralph Bean <rbean@redhat.com> 3.2-3
- Applied security patch from Aron Griffis.  http://bit.ly/IHJqxs

* Tue Apr 17 2012 Ralph Bean <rbean@redhat.com> 3.2-2
- Updated the Shebangs-and-permissions patch to add a shebang to
  /usr/bin/virtualenvwrapper.sh

* Mon Apr 09 2012 Ralph Bean <rbean@redhat.com> 3.2-1
- Packaged latest version which includes disambiguated license.
- Removed %defattr macro.
- Added patch to quiet up rpmlint.

* Wed Apr 04 2012 Ralph Bean <rbean@redhat.com> 3.1-1
- initial package for Fedora
